import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

dots = sns.load_dataset("dots")
dots_mod = dots.sample(frac=1)[:250]

ylim = (-1000, 1000)
xlim = (0, 100)
fg = sns.FacetGrid(dots_mod, col="choice", hue="align",
                   xlim=xlim, ylim=ylim)
fg.map(plt.scatter, "firing_rate", "time")

plt.show()
